# IAX2IeBlockOfData Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeBlockOfData:

[legend]
Collaboration diagram for IAX2IeBlockOfData:
[legend]

## Public Member Functions

construction/destruction
| IAX2IeBlockOfData (BYTE length, BYTE *srcData)
| IAX2IeBlockOfData (const PBYTEArray &newData)
| IAX2IeBlockOfData ()
Worker methods
virtual void | PrintOn (ostream &str) const
virtual BYTE | GetLengthOfData () const
void | SetData (const PBYTEArray &newData)
PBYTEArray | ReadData ()

## Protected Member Functions

virtual void | WriteBinary (BYTE *data)

## Protected Attributes

PBYTEArray | dataValue

## Detailed Description

An Information Element that contains an array of BYTES (with possible nulls in middle)

## Constructor & Destructor Documentation

IAX2IeBlockOfData::IAX2IeBlockOfData | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  |

Constructor - read data from source array.

Contents are valid if source array is valid.

IAX2IeBlockOfData::IAX2IeBlockOfData | ( | const PBYTEArray & | newData | ) | `[inline]`

Construct to an initialized value

IAX2IeBlockOfData::IAX2IeBlockOfData | ( |  | ) | `[inline]`

Constructor to an invalid and empty result

## Member Function Documentation

virtual BYTE IAX2IeBlockOfData::GetLengthOfData | ( |  | ) | const`[inline, virtual]`

return the number of bytes to hold this data element

Reimplemented from IAX2Ie.

virtual void IAX2IeBlockOfData::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2Ie.

Reimplemented in IAX2IeProvisioning, and IAX2IeFwBlockData.

PBYTEArray IAX2IeBlockOfData::ReadData | ( |  | ) | `[inline]`

Report the value of the stored data for this class

Reimplemented from IAX2Ie.

void IAX2IeBlockOfData::SetData | ( | const PBYTEArray & | newData | ) | `[inline]`

Take the supplied data and copy contents into this IE

virtual void IAX2IeBlockOfData::WriteBinary | ( | BYTE * | data | ) | `[protected, virtual]`

Take the data value for this particular IAX2Ie and copy into the memory region.

Reimplemented from IAX2Ie.

## Field Documentation

PBYTEArray IAX2IeBlockOfData::dataValue `[protected]`

The actual data stored in a IAX2IeBlockOfData class

The documentation for this class was generated from the following file:

- ies.h